# Created by pyp2rpm-3.3.8
%global pypi_name cerberus
%global pypi_version 1.3.4

Name:           python-%{pypi_name}
# Name it 1.3.5.0 pending integration of the patch below (perl line) to avoid issues with molecule <hich checks for != 1.3.4
Version:        1.3.5.0
Release:        %mkrel 2
Summary:        Lightweight, extensible schema and data validation tool for Python dictionaries
Group:          Development/Python
License:        ISC
URL:            http://docs.python-cerberus.org
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/Cerberus-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-runner)

%description
Cerberus is a lightweight and extensible data validation library for Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Cerberus is a lightweight and extensible data validation library for Python.

%prep
%autosetup -n Cerberus-%{pypi_version}
# As per https://github.com/alvistack/pyeve-cerberus/commit/34767813c9d804238e5a3eaa0da6ae6777f4a140
perl -pi -e 's|VERSION = "1.3.4"|VERSION = "1.3.5.0"|' setup.py
perl -pi -e 's|\\\*|*|' cerberus/errors.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
py.test -v %{pypi_name}/tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Aug 10 2022 bcornec <bcornec> 1.3.5.0-2.mga9
+ Revision: 1876625
- Fix also temporary version in setup.py for Cerberus

* Wed Aug 10 2022 bcornec <bcornec> 1.3.5.0-1.mga9
+ Revision: 1876620
- Fix a docstring analysis issue

* Wed Aug 10 2022 bcornec <bcornec> 1.3.4-1.mga9
+ Revision: 1876610
- Update python-cerberus to upstream 1.3.4

* Tue Aug 09 2022 wally <wally> 1.3.2-1.mga9
+ Revision: 1876504
- imported package python-cerberus

